@CHARSET "UTF-8";

html, body {
	background: white;
/*	color: #838B8B; */
}

html {
	overflow: none;
}

html.dark-mode {
	filter: invert(1) hue-rotate(180deg);
}

td {
	vertical-align: top;
}
a {
/*	color: #4682B4;	 */
}
a:hover {
/*	color: #f1a400; */
}

h1 {
	margin: 0px;
/*	color: #838B8B; */
}
h3 {
/* 	color: #838B8B;*/
	margin: 0px;
}
h4 {
/*	color: #838B8B; */
}

.sep-horizontal {
	width: 95%;
	height: 1px;
/*	background: #a6c9e2; */
	margin: auto;
	margin-top: 5px;
	margin-bottom: 5px;
	font-size: 0;
	
}

#container {
	min-height: 100%;
}

/**
 * Header Section
 */
#header-pane {
    	margin: 0;
	padding: 0;
        text-align: left;
	position: fixed; 
	top: 0px;
	z-index: 100;
	width: 100%;
	height: 70px;
	background: url("../images/controls/header_gradient_fill-10x70.png");
    -moz-user-select: none; 
    -khtml-user-select: none; 
    -webkit-user-select: none; 
    -o-user-select: none;
    user-select: none; 
}
#header-logo {
    -moz-user-select: none; 
    -khtml-user-select: none; 
    -webkit-user-select: none; 
    -o-user-select: none;
    user-select: none; 
}
#header-license {
    position:absolute;
    right:300px;
    top:15px;
    width:120px;
}
.license-text {
    color:white;
    text-align:center;
}
.license-bar, .license-bar-overlay {
    position:absolute;
    left:0;
    top:20px;
    display:block;
    height:10px;
    background-color:maroon;
    z-index:10;
}
.license-bar-overlay {
    background-color:#10b010;
    z-index:20;
}
#header-menu {
	color: white;
	position: absolute;
	right: 40px;
	top: 5px;
	cursor: default;
    -moz-user-select: none; 
    -khtml-user-select: none; 
    -webkit-user-select: none; 
    -o-user-select: none;
    user-select: none; 
}
#header-menu a {
	color: white;
	font-weight: bold;
	text-decoration: none;
}
#header-menu a:hover {
	color: #f1a400;
}

#main-menu
{
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#313535', endColorstr='#737573'); /* for IE */
    background: -webkit-gradient(linear, left top, left bottom, from(#313535), to(#737573)); /* for webkit browsers */
    background: -moz-linear-gradient(top,  #313535,  #737573); /* for firefox 3.6+ */
    background: linear-gradient(#313535,  #737573); /* for IE 10 */
/*	background-image: linear-gradient(bottom, rgb(115,117,115) 6%, rgb(65,69,69) 53%);
    background-image: -o-linear-gradient(bottom, rgb(115,117,115) 6%, rgb(65,69,69) 53%);
    background-image: -moz-linear-gradient(bottom, rgb(115,117,115) 6%, rgb(65,69,69) 53%);
    background-image: -webkit-linear-gradient(bottom, rgb(115,117,115) 6%, rgb(65,69,69) 53%);
    background-image: -ms-linear-gradient(bottom, rgb(115,117,115) 6%, rgb(65,69,69) 53%);
    background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0.06, rgb(115,117,115)), color-stop(0.53, rgb(65,69,69)));*/
}
#main-menu ul
{
	padding:6px 20px 5px 3px;
	margin:0px;
	margin-left: 55px;
}
#main-menu ul li
{
	display: inline;
}

#main-menu li
{
	margin-left: 20px;
}

#main-menu ul li a
{
	width: 1000px;
	color: #FDFDFD !important;
	background-color:transparent;
	font-size: 1.005em;;
	font-weight:bold;
	text-decoration:none;
	padding:5px 8px;
}

#main-menu a:hover {
	color: #f1a400 !important;
}

#main-menu ul li.active a
{
	color: #f1a400 !important;
	background-color: transparent;
}


/**
 * Content Section
 */
#content-pane {
/*	margin-right: 5px;*/
	margin-top: 10px;
	position: relative;
	top: 72px; /* this is overwritten by javascript in layouts/column2*.php */
	min-height: 100%;
	overflow: none; /* overridded in column2 javascript */
	transition: margin-left .2s;
	background-color: white;
	padding-left: 15px;
}

.content-pane-full {
	margin-left:55px;
}

.content-pane-indented {
	margin-left:195px;
}

#content-container {
	min-height: 99%;
}

#content-left {
    width: 180px;
/*    height: 250px; */
    position:fixed; 
    top:85px; /* this is overwritten by javascript in layouts/column2*.php */
    left:5px;
    padding: 0;
		padding-top: 5px;
	background-color: #FAFAFA;
	height: 100%;
	overflow-y: auto;
}

#content-data-source, #content-asset-tag-filter {
/*    margin-top:20px;*/
}

#content-menu-header {
	padding: 5px;
}

.content-left-header {
	font-weight: bold;
	color: #333333;
}

.content-left-data {
	padding: 5px;
}

#content-left-toggle {
	border-right: 1px solid #c4c4c4;
	height: 100%;
	width: 15px;
	top: 85px;
	position: fixed;
	color: #aaaaaa;
	margin-left: 180px;
	padding-right: 2px;
	background-color: #f2f2f2;
	background-image: -webkit-linear-gradient(left, #fafafa, #dddddd);
	background-image: -o-linear-gradient(right, #fafafa, #dddddd);
	background-image: -moz-linear-gradient(right, #fafafa, #dddddd);
	background-image: linear-gradient(to right, #fafafa, #dddddd);
}
#content-left-toggle:hover {
	border-right: 1px solid #2466a2;
	color: #2466a2;
	cursor: pointer;
}
#content-left-header-new {
	border: 1px solid white;
	padding-top: 2px;
	width: 90%;
	font-weight: bold;
	color: #2466a2;
}
.vertical-text-expanded {
	padding-left: 5px;
}

.vertical-text{
/*    writing-mode:tb-rl; */
	width:150px;
	height:150px;
	font-size: 13px;
	font-weight: bold;
	-webkit-transform:rotate(270deg);
	-moz-transform:rotate(270deg);
	-ms-transform:rotate(270deg);
	-o-transform:rotate(270deg);
	transform:rotate(270deg);
}

.content-menu-itemlist {
/*	padding-left: 0px;
	padding-top:  0px;
	padding-bottom: 0px;
	margin-top:  0px;
	margin-bottom: -1px;*/
	list-style-type: none;
}
.page-level-header-bb {
	font-size: 20px;
	font-weight:bold;
	color:#13304a;
	padding:5px 0 5px 5px;
	margin-bottom: 15px;
	border-bottom: 1px solid #d8dadf;
	width:100vw;
}
.page-level-header {
	font-size: 20px;
	font-weight:bold;
	color:#13304a;
	padding:5px 0 5px 5px;
	margin-right:80px;
}
#page-level-pulldowns {
	position:relative;
	/* must be greater than the maximum dashboard panel z-index in dashboard.js:GetHighestZIndex() and less than z-index of #header-container */
	z-index: 245;
	margin-top: 10px;
	margin-bottom: 5px;
	display:flex;
	flex-direction: column;
}
#page-level-pulldowns-fixed {
	position: fixed;
	z-index: 245;
	background-color: white;
	display:flex;
	flex-direction: column;
	padding-top:8px;
	/*
	display: inline-flex;
	flex-direction: row;
	flex-wrap:wrap;
	align-items: center;
	gap: 7px;
	padding-top:5px;
	padding-bottom:5px;
	*/
}
#page-level-pulldowns #page-level-pulldowns-lower {
/*	padding:15px 0 0 8px;*/
	padding: 15px 0 0px 8px;
	display: inline-flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: center;
	gap: 7px;
	justify-content: flex-end;
	width: 100vw;
	right: 0;
	position:relative;
}
#page-level-pulldowns-fixed #page-level-pulldowns-lower {
	padding:15px 0 8px 8px;
	display: inline-flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: center;
	gap: 7px;
	justify-content: flex-end;
	width: 100vw;
	right: 0;
	position:relative;
}
#page-level-pulldowns-upper {
	display: inline-flex;
	flex-direction: row;
	flex-wrap:wrap;
	align-items: center;
	gap: 8px;
	padding-bottom:8px;
	border-bottom:1px solid #d8dadf;
	width:100vw;
}
#page-level-pulldowns-filters {
	display: inline-flex;
	flex-direction: row;
	flex-wrap:wrap;
	align-items: center;
	gap: 7px;
	padding:8px 0 8px 0;
}
#page-level-pulldowns-fixed-vertical {
	height:55px;
}
#content-right-no-margin {
	overflow:auto;
	position:relative;
	background-color: white;
	padding-bottom: 15px;
}
.content-right-no-margin-for-dashboard {
	overflow-x:hidden !important;
}
#content-right {
	position:relative;
	margin-left: 200px;
	/* TODO this only works on pages that don't have tabs, so need a work around */
	/*display:inline-block;*/
    overflow: auto;
	background-color:#f3f3f3;
}

.context-button-box {
	float: right;
}

.no-data-help {
	width: 60%;
	margin-left: 10%;
	margin-right: 30%;
	padding: 20px;
	text-align: center;
	
}

/**
 * Footer Section
 */
#footer {
	position: fixed;  
	bottom: 15px;
	left: 5px;
	width: 150;
	height: 50px;
	border: none !important;
        font-size: 0.8em;
        text-align: center;
}

#dialog-legal p {
	font-size: 1.0em;
	text-align: center;
}

/**
 * Global Styles
 */
/*.ui-dialog-title { 
	font-size: 1.1em; 
	font-weight: bold;
}
*/

fieldset
{
	margin-top: 5px;
	padding-bottom: 2em;
}
#scan-policy-opts
{
	margin-top: 5px;
	padding-bottom: 1em;
}

.fieldset-desc
{
	font-size: 0.95em;
	min-height: 3em;
	padding: 3px;
	font-style: italic;
	margin-left: 40px;
	margin-right: 40px;
	background-color: #ffffdd !important;
}
.fieldset-desc span {
	display: inline-block;
	vertical-align: middle;	
	line-height: 3em;
}

legend
{
	font-size: 1.3em;
/*	color: #0a3078; */
}

label.input
{
	margin-top: 1em;
	display: block;
	font-weight: bold;
}

label.horizontal-input
{
	margin-top: 0.2em;
	display: block;
	font-weight: bold;
        margin-right:20px;
}

.recurring-picker
{
    margin-right:20px;
}

.recurring-fieldset
{
    padding-bottom:10px;
}

.scan-window-radio-div
{
    padding:4px;
}

.scan-window-radio
{
    float:left;
    margin-right:20px;    
}

.ibutton-container {
  width: 175px !important;
}

.hint {
  display:none;
  position: absolute;
  right: -250px;
  width: 200px;
  margin-top: -4px;
  border: 1px solid #c93;
  padding: 10px 12px;
  background-color: #ffc;
}

table.inline-help-table {
	margin: 0;
  	-webkit-border-radius: 5px;
  	-moz-border-radius  : 5px;    
	border: solid 1px;
	border-color: #EEEEEE;
	color:  #111111;
	background-color: #FFFFFF;
}

table.inline-help-table tr {
	margin: 0;
	padding: 0;
}

table.inline-help-table td {
	color: #AAAAAA;
}

.file-wrapper {
  cursor: pointer;
  display: inline-block;
  overflow: hidden;
  position: relative;
}

.file-name {
	cursor: default;
	display: inline-block;
	overflow: hidden;
	position: relative;
	top: -10px;
}
.file-wrapper input {
  cursor: pointer;
  height: 100%;
  position: absolute;
  right: 0;
  top: 0;
  filter: alpha(opacity=0);
  -moz-opacity: 0;
  -webkit-opacity: 0;
  -khtml-opacity: 0;
  opacity: 0;
  font-size: 100px;
}


div.list-tag
{
	float: left;
	height: auto;
	width: auto;
	padding-right: 3px;
	/*margin: 3px;*/
	margin: 0px 3px 2px;
	cursor: default;
   	-moz-user-select: none;
   	-webkit-user-select: none;
   	-o-user-select: none;
   	user-select: none;
   	/*background: #D9DEFC;*/
   	background: #DFEAF3;
	white-space: normal;
	border-radius:5px;
}

.list-tag-container{
	padding-left: 1px;
}

.list-tag-icon
{
	float:left;
	margin-top:0;
	cursor:pointer;
}

div.create_button {
	height: 40px;
	width: 100px;
	background: #4297d7;
}

a.more-button
{
	display:block;
	border:1px solid #555555;
	color:#555555 !important;
	background-color:#f6f6f6;
	font-weight:800;
	font-size:14px;
	width:18px;
	height:12px;
	border-radius:7px;
	line-height:12px;
	text-align:center;
	margin:auto;
	cursor:pointer;
	text-decoration:none;
}
a.more-button:hover {
	border-color: #101010;
	color: #101010 !important;
}
a.more-button::before
{
	content:"\00B7\00B7\00B7"
}

.inline-submit {
	width: 90%;
	min-height: 37px;
}
.inline-submit-action
{
	padding-left: 10px;
	line-height: 36px;
	display: inline-block;
	width: 300px;
}

div.processing {
	height: 100%;
	width: 100%;
	line-height: 100%;
	display: inline-block;
	text-align: center;
	display: none;
	
}
div.processing img {
	vertical-align: middle;
}


.target-entry-div
{
	float: left;
}

.target-list-div, .schedule-list-div
{
	float: left;
	margin-left: 2em;
}

.target-list, .tagbox
{
	height: 135px;
	width: 290px;
	overflow: auto;
	border: 1px solid #dfdfdf !important;
}

.stepContainer .tagbox
{
	height: 50px;
	width: 575px;
}

.agent-tagbox
{
    height:135px;
    width:680px;
}

.agent-fieldset 
{
    height:100%;
    width:100%;
}

.assettagbox
{
	overflow: scroll auto;
}

.error-box {
	 margin-top: 2.3em; 
	 height: 100%; 
	 width: 100%;
}
.daypicker label {
	padding: 0;
	margin: 0;
}
/*.ui-timepicker-div .ui-widget-header { margin-bottom: 8px; }
.ui-timepicker-div dl { text-align: left; }
.ui-timepicker-div dl dt { height: 25px; margin-bottom: -25px; }
.ui-timepicker-div dl dd { margin: 0 10px 10px 65px; }
.ui-timepicker-div td { font-size: 90%; }
.ui-tpicker-grid-label { background: none; border: none; margin: 0; padding: 0; }

.ui-timepicker-rtl{ direction: rtl; }
.ui-timepicker-rtl dl { text-align: right; }
.ui-timepicker-rtl dl dd { margin: 0 65px 10px 10px; }*/
.target-input-freeform
{
	width: 100%;
	height: 200px;
	font-size: 100%;
	font-family: monospace;
	resize: none;
}

.cred-table {
	padding-left: 20px;
	padding-right: 20px;
}
.cred-table td {
	vertical-align: middle;
}
.cred-table td.cred-state {
	padding-right: 30px;
}
.cred-unpw th {
	text-align: left;
	/*padding-left: .75em;*/
}
.dead-center {
	position: absolute;
	left: 47%;
	top: 47%;
	margin: 0;
	padding: 0;
}
/*.ui-button {
	font-weight: normal !important;
}*/
.centered {
	text-align: center;
	vertical-align: middle;
	display: table-cell;
}

.summary-box {
	width: 80%;
	margin-left: 30px;
}
.summary-box h3 {
	padding-left: 10px;
}

.summary-content {
	padding: 10px;
}

table.table-horiz-data {
	width: 90%;
}
table.table-horiz-data caption{
	font-size: 1.3em;
	text-align: left;
	padding-left: 10px;
	-moz-user-select: none;
   	-webkit-user-select: none;
   	-o-user-select: none;
   	user-select: none;
}
table.table-horiz-data th {
	font-size: 1.2em;
	font-weight: bold;
	font-style: italic;
	text-align: left;
}
table.table-horiz-data td {
	font-size: 1.2em;
}
table.table-horiz-data td.header {
	font-weight: bold;
	vertical-align: top;
	width: 15%;
}
table.subtable-horiz-data {
	font-size: 80% !important;
	width: 97% !important;
	margin-left: 20px;
}
thead th {
    text-align: left;
}

textarea.fixed_scan_wizard_s1 {
	resize: none;
	width: 75%;
	overflow: auto;
	background: white;
	padding:5px;
}
textarea.fixed {
	resize: none;
	width: 75%;
	overflow: auto;
	height: 5em;
	background: white;
}

textarea.ta-inline {
	resize: none;
	width: 50%;
	overflow: auto;
	height: 4em;
	background: white;
}
div.ta-inline-readonly {
	width: 50%;
	height: 4em;
	overflow: auto;
}

/**
 * Scan tab
 */
/*div.scan-job-gridview {
	margin-top: 10px;
	margin-right: 50px;
	margin-left: 50px;
	min-height: 100%;
}*


/* JqGrid */
/*.ui-jqgrid td {
	border: none !important;
}*/

/*.ui-jqgrid td {
}*/

/*.ui-jqgrid .ui-row-ltr td {
	font-family: monospace;
	border: 1px solid;
	border-color: rgba(0, 0, 0, 0.3); 
	
}*/

/*.ui-jqgrid-hdiv {
	border: none !important;
}*/

/*.ui-combobox {
    position: relative;
    display: inline-block;
}*/
/*.ui-combobox-toggle {
    position: absolute;
    top: 0;
    bottom: 0;
    margin-left: -1px;
    padding: 0;
   */ /* adjust styles for IE 6/7 *//*
    height: 1.7em;
    top: 0.1em;
}*/
/*.ui-combobox-input {
    margin: 0;
    padding: 0.3em;
}*/

.page-heading{
    float:left;
    margin-right:20px;
} 
.page-heading-clear {
    clear:both;
}

.license-warning {
    border: 10px;
    padding: 10px;
}

.no-license-warning {
    background-color: #D9DEFC;
    color: black;
}

.explicit-license-warning {
     background-color:#C00;
   color: white;
}

.possible-license-warning {
    background-color:#c93;
   color: black;
}

.software-update-notice a {
    font-size:95%;
    margin-left: 20px;
    color: #f1a400;
}

.rotated-text {
    display: inline-block;
    overflow: hidden;
    width: 1.5em;
}
.rotated-text-inner {
    display: inline-block;
    white-space: nowrap;
    -webkit-transform: translate(1.1em,0) rotate(90deg);
       -moz-transform: translate(1.1em,0) rotate(90deg);
         -o-transform: translate(1.1em,0) rotate(90deg);
            transform: translate(1.1em,0) rotate(90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;
   -ms-transform: none;
   -ms-transform-origin: none;
   -ms-writing-mode: tb-rl;
   *writing-mode: tb-rl;
   
   font-size: 13px;
   font-weight: bold;
}
.rotated-text-inner:before {
    content: "";
    float: left;
    margin-top: 100%;
}
.rotated-text-expanded {
	padding-left: 5px;
}

#target-message-text {
	border: 1px solid #FFD700;
	background-color: #FFFFDD;
	color: #5A5655;
}

/* Convert checkboxes to sliders */
input[type="checkbox"]:not(.ui-jqgrid input,.checkbox-table input) {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	cursor: pointer;
	width: 20px;
	height: 12px;
	background-color: #999 !important;
	border: 0 !important;
	border-radius: 11px;
	position: relative;
	transition: 0.2s;
	outline: none;
}

input[type="checkbox"]:not(.ui-jqgrid input,.checkbox-table input):checked {
	background-color: #163856 !important;
}

/* Slider knob */
input[type="checkbox"]:not(.ui-jqgrid input,.checkbox-table input)::after {
	content: "";
	position: absolute;
	height: 8px;
	width: 8px;
	left: 2px;
	bottom: 2px;
	background-color: #fff;
	border-radius: 50%;
	transition: 0.2s;
}

input[type="checkbox"]:not(.ui-jqgrid input,.checkbox-table input):checked::after {
	transform: translateX(8px);
}

input:disabled,
input[readonly],
select:disabled,
textarea:read-only {
	cursor: not-allowed !important;
	opacity: 0.5;
	-moz-opacity: 0.5;
	-webkit-opacity: 0.5;
}

.flex-row {
	display:inline-flex;
	flex-direction:row;
	flex-wrap:nowrap;
	align-items:center;
	gap:7px;
}

.bubble {
	background-color:#fafbfc;
	border:1px solid #d2d9df;
	border-radius:15px;
	padding:6px 8px 6px 8px;
	font-size:12px;
	white-space:nowrap;
	min-width:0;
	max-width:210px;
	color:#000000a9;
}
.bubble-toggle-on {
	cursor:pointer;
	border:1px solid #7bc242;
}
.bubble-toggle-off {
	cursor:pointer;
	border:1px solid #d34d43;
}
.bubble-toggle-on:hover {
	border:1px solid #d34d43;
}
.bubble-toggle-off:hover {
	border:1px solid #7bc242;
}
.bubble-ellipses {
	white-space:nowrap;
	text-overflow:ellipsis;
	overflow:hidden;
}
.bubble-lbl {
	font-weight:bold;
	font-size:11px;
	color:#000000a9;
}

.bubble-val {
	padding-left:1px;
	font-size: 11px;
}
.bubble-val-fat {
	display:block;
	font-size: 11px;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	min-width: 0;
	max-width: 200px;
}
.bubble-stacked {
	padding:0;
}
.bubble-del {
	color:#d11506a5;
	border:2px solid transparent;
	border-radius:10px;
	padding:0 3px 0 3px;
	font-weight:bold;
}
.bubble-del:hover {
	cursor:pointer;
	border:2px solid #d11506a5;
}
.bubble-normal {
	display:inline-flex;
	flex-direction:row;
	align-items:center;
	position:relative;
}
.bubble-expand {
	cursor:pointer;
	display:flex;
	flex-direction:row;
	align-items:center;
	gap:3px;
}
.bubble-expand:hover {
	border:1px solid #1d4c74; 
}
.bubble-expand-nohover {
	display:flex;
	flex-direction:row;
	align-items:center;
	gap:3px;
}
.bubble-expander {
	font-weight: bold;
	font-size:14px;
}
.bubble-expander:hover{
	/*background-color:#163856;*/
	/*color:white;*/
}
.bubble-warning {
	cursor:default;
	font-weight: bold;
	background-color: #fafbfc;
	color: #f18800;
	width: 15px;
	display: flex;
	border-radius:15px;
	border: 1px solid #d2d9df;
	align-items: center;
	justify-content: center;
	margin-right:-3px;
}
.bubble-sub-menu-val{
	padding-left:15px;
	display:inline-flex;
	flex-direction:row;
	align-items:center;
	justify-content:center;
	gap:7px;
}
.bubble-sub-menu{
	font-size:13px;
	/*font-family:monospace;*/
	min-width:150px;
	margin: 0 0 11px 0;
	padding:3px 10px 3px 10px;
	background-color: white;
	border: 1px solid #dbdbdb;
	border-radius:10px;
	z-index:10000;
	white-space:nowrap;
	display: none;
	position: absolute;
	-webkit-box-shadow: 8px 8px 9px -2px rgba(50,50,50,0.60);
	-moz-box-shadow: 8px 8px 9px -2px rgba(50,50,50,0.60);
	box-shadow: 8px 8px 9px -2px rgba(50,50,50,0.60);
	-webkit-filter:blur(0);
	color:#000000a9;
}
.bubble-sub-menu .bubble-lbl {
	color:#000000de;
}
.table-user-profile {
	td {
		vertical-align: middle;
	}
	fieldset {
		padding:15px;
	}
	legend {
		font-size:14px;
		font-weight:bold;
	}
	button {
		cursor:pointer;
		padding:5px 20px !important;
		border:1px solid #d1d2d3 !important;
		color:#303030;
	}
	button:hover {
		background-color:#f3f9ff !important;
	}
}
#userprofilebase {
	button {

		cursor:pointer;
		/*padding:5px 20px !important;*/
		border:1px solid #d1d2d3 !important;
		color:#303030;
	}
	button:hover {
		background-color:#f3f9ff !important;
	}
}
